## python-octaviaclient 1.4.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

appdirs>=1.3.0 # MIT License
Babel!=2.4.0,>=2.3.4 # BSD
cliff!=2.9.0,>=2.8.0 # Apache-2.0
cmd2>=0.6.7 # MIT
debtcollector>=1.2.0 # Apache-2.0
funcsigs>=1.0.0;python_version=='2.7' or python_version=='2.6' # Apache-2.0
iso8601>=0.1.11 # MIT
keystoneauth1>=3.3.0 # Apache-2.0
monotonic>=0.6 # Apache-2.0
netaddr>=0.7.18 # BSD
netifaces>=0.10.4 # MIT
python-neutronclient>=6.3.0 # Apache-2.0
python-openstackclient>=3.12.0 # Apache-2.0
os-client-config>=1.28.0 # Apache-2.0
osc-lib>=1.8.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
pbr!=2.1.0,>=2.0.0 # Apache-2.0
PrettyTable<0.8,>=0.7.1 # BSD
pyparsing>=2.1.0 # MIT
pytz>=2013.6 # MIT
PyYAML>=3.10 # MIT
requests>=2.14.2 # Apache-2.0
requestsexceptions>=1.2.0 # Apache-2.0
simplejson>=3.5.1 # MIT
six>=1.10.0 # MIT
stevedore>=1.20.0 # Apache-2.0
unicodecsv>=0.8.0;python_version<'3.0' # BSD
wrapt>=1.7.0 # BSD License

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

sphinx!=1.6.6,>=1.6.2 # BSD
openstackdocstheme>=1.17.0 # Apache-2.0
reno>=2.5.0 # Apache-2.0

=== debian/changelog ===
python-octaviaclient (1.4.0-2~cloud0) xenial-queens; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 28 Feb 2018 11:32:46 +0000

python-octaviaclient (1.4.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 25 Feb 2018 21:54:47 +0000

python-octaviaclient (1.4.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https in Format

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Standards-Version is now 4.1.3.

 -- Thomas Goirand <zigo@debian.org>  Tue, 13 Feb 2018 21:17:34 +0000

python-octaviaclient (1.1.0-1) unstable; urgency=medium

  * Initial release. (Closes: #877693)

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Oct 2017 13:53:21 +0200

=== debian/control ===
Source: python-octaviaclient
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 9),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python-sphinx (>= 1.6.2),
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
Build-Depends-Indep:
 python-appdirs,
 python-babel,
 python-cliff (>= 2.6.0),
 python-cmd2,
 python-coverage,
 python-debtcollector,
 python-funcsigs,
 python-hacking,
 python-iso8601,
 python-keystoneauth1 (>= 3.3.0),
 python-mock,
 python-monotonic,
 python-netaddr,
 python-netifaces,
 python-neutronclient (>= 1:6.3.0),
 python-openstackclient (>= 3.12.0),
 python-openstackdocstheme (>= 1.17.0),
 python-os-client-config (>= 1.28.0),
 python-osc-lib (>= 1.8.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.utils (>= 3.33.0),
 python-oslotest (>= 3.2.0),
 python-prettytable (>= 0.7.1),
 python-pyparsing (>= 2.1.0),
 python-requests-mock (>= 1.1),
 python-requestsexceptions (>= 1.2.0),
 python-simplejson,
 python-six,
 python-stevedore (>= 1.20.0),
 python-testscenarios,
 python-tz,
 python-unicodecsv,
 python-wrapt,
 python-yaml,
 python3-appdirs,
 python3-babel,
 python3-cliff (>= 2.6.0),
 python3-cmd2,
 python3-debtcollector,
 python3-funcsigs,
 python3-iso8601,
 python3-keystoneauth1 (>= 3.3.0),
 python3-mock,
 python3-monotonic,
 python3-netaddr,
 python3-netifaces,
 python3-neutronclient (>= 1:6.3.0),
 python3-openstackclient (>= 3.12.0),
 python3-os-client-config (>= 1.28.0),
 python3-osc-lib (>= 1.8.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 3.2.0),
 python3-prettytable (>= 0.7.1),
 python3-pyparsing (>= 2.1.0),
 python3-requests-mock (>= 1.1),
 python3-requestsexceptions (>= 1.2.0),
 python3-simplejson,
 python3-six,
 python3-stevedore (>= 1.20.0),
 python3-testscenarios,
 python3-tz,
 python3-wrapt,
 python3-yaml,
 subunit,
 testrepository,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-octaviaclient
Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-octaviaclient.git
Homepage: http://docs.openstack.org/developer/python-octaviaclient

Package: python-octaviaclient
Architecture: all
Depends:
 python-appdirs,
 python-babel,
 python-cliff (>= 2.6.0),
 python-cmd2,
 python-debtcollector,
 python-funcsigs,
 python-iso8601,
 python-keystoneauth1 (>= 3.3.0),
 python-monotonic,
 python-netaddr,
 python-netifaces,
 python-neutronclient (>= 1:6.3.0),
 python-openstackclient (>= 3.12.0),
 python-os-client-config (>= 1.28.0),
 python-osc-lib (>= 1.8.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.utils (>= 3.33.0),
 python-pbr (>= 2.0.0),
 python-prettytable (>= 0.7.1),
 python-pyparsing (>= 2.1.0),
 python-requests (>= 2.14.2),
 python-requestsexceptions (>= 1.2.0),
 python-simplejson,
 python-six,
 python-stevedore (>= 1.20.0),
 python-tz,
 python-unicodecsv,
 python-wrapt,
 python-yaml,
 ${misc:Depends},
 ${python:Depends},
Suggests:
 python-octaviaclient-doc,
Description: octavia client for OpenStack Load Balancing - Python 2.7
 Octavia is an operator-grade open source scalable load balancer for use in
 large OpenStack deployments. It delivers load balancing services on amphorae
 and provides centralized command and control. Octavia is currently the
 reference backend for Neutron LBaaS. In the near future, Octavia is likely to
 become the standard OpenStack LBaaS API endpoint.
 .
 This package contains the Python 2.7 module.

Package: python-octaviaclient-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Octavia client for OpenStack Load Balancing - doc
 Octavia is an operator-grade open source scalable load balancer for use in
 large OpenStack deployments. It delivers load balancing services on amphorae
 and provides centralized command and control. Octavia is currently the
 reference backend for Neutron LBaaS. In the near future, Octavia is likely to
 become the standard OpenStack LBaaS API endpoint.
 .
 This package contains the documentation.

Package: python3-octaviaclient
Architecture: all
Depends:
 python3-appdirs,
 python3-babel,
 python3-cliff (>= 2.6.0),
 python3-cmd2,
 python3-debtcollector,
 python3-funcsigs,
 python3-iso8601,
 python3-keystoneauth1 (>= 3.3.0),
 python3-monotonic,
 python3-netaddr,
 python3-netifaces,
 python3-neutronclient (>= 1:6.3.0),
 python3-openstackclient (>= 3.12.0),
 python3-os-client-config (>= 1.28.0),
 python3-osc-lib (>= 1.8.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-prettytable (>= 0.7.1),
 python3-pyparsing (>= 2.1.0),
 python3-requests (>= 2.14.2),
 python3-requestsexceptions (>= 1.2.0),
 python3-simplejson,
 python3-six,
 python3-stevedore (>= 1.20.0),
 python3-tz,
 python3-wrapt,
 python3-yaml,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-octaviaclient-doc,
Description: Octavia client for OpenStack Load Balancing - Python 3.x
 Octavia is an operator-grade open source scalable load balancer for use in
 large OpenStack deployments. It delivers load balancing services on amphorae
 and provides centralized command and control. Octavia is currently the
 reference backend for Neutron LBaaS. In the near future, Octavia is likely to
 become the standard OpenStack LBaaS API endpoint.
 .
 This package contains the Python 3.x module.

## python-octaviaclient 1.6.0

=== debian/changelog ===
python-octaviaclient (1.6.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 05 Sep 2018 00:30:38 +0200

python-octaviaclient (1.6.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Building doc with Python 3.
  * Rebased remove-privacy-breach.patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Aug 2018 12:21:12 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: python-octaviaclient
 Section: python
 Priority: optional
-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
@@ -11,10 +11,10 @@
  python-all,
  python-pbr (>= 2.0.0),
  python-setuptools,
- python-sphinx (>= 1.6.2),
  python3-all,
  python3-pbr (>= 2.0.0),
  python3-setuptools,
+ python3-sphinx (>= 1.6.2),
 Build-Depends-Indep:
  python-appdirs,
  python-babel,
@@ -25,17 +25,17 @@
  python-funcsigs,
  python-hacking,
  python-iso8601,
- python-keystoneauth1 (>= 3.3.0),
+ python-keystoneauth1 (>= 3.4.0),
  python-mock,
  python-monotonic,
  python-netaddr,
  python-netifaces,
- python-neutronclient (>= 1:6.3.0),
+ python-neutronclient (>= 1:6.7.0),
  python-openstackclient (>= 3.12.0),
- python-openstackdocstheme (>= 1.17.0),
  python-os-client-config (>= 1.28.0),
- python-osc-lib (>= 1.8.0),
+ python-osc-lib (>= 1.11.0),
  python-oslo.i18n (>= 3.15.3),
+ python-oslo.serialization,
  python-oslo.utils (>= 3.33.0),
  python-oslotest (>= 3.2.0),
  python-prettytable (>= 0.7.1),
@@ -44,6 +44,7 @@
  python-requestsexceptions (>= 1.2.0),
  python-simplejson,
  python-six,
+ python-stestr (>= 2.0.0),
  python-stevedore (>= 1.20.0),
  python-testscenarios,
  python-tz,
@@ -57,16 +58,18 @@
  python3-debtcollector,
  python3-funcsigs,
  python3-iso8601,
- python3-keystoneauth1 (>= 3.3.0),
+ python3-keystoneauth1 (>= 3.4.0),
  python3-mock,
  python3-monotonic,
  python3-netaddr,
  python3-netifaces,
- python3-neutronclient (>= 1:6.3.0),
+ python3-neutronclient (>= 1:6.7.0),
  python3-openstackclient (>= 3.12.0),
+ python3-openstackdocstheme (>= 1.18.1),
  python3-os-client-config (>= 1.28.0),
- python3-osc-lib (>= 1.8.0),
+ python3-osc-lib (>= 1.11.0),
  python3-oslo.i18n (>= 3.15.3),
+ python3-oslo.serialization,
  python3-oslo.utils (>= 3.33.0),
  python3-oslotest (>= 3.2.0),
  python3-prettytable (>= 0.7.1),
@@ -75,6 +78,7 @@
  python3-requestsexceptions (>= 1.2.0),
  python3-simplejson,
  python3-six,
+ python3-stestr (>= 2.0.0),
  python3-stevedore (>= 1.20.0),
  python3-testscenarios,
  python3-tz,
@@ -97,15 +101,16 @@
  python-debtcollector,
  python-funcsigs,
  python-iso8601,
- python-keystoneauth1 (>= 3.3.0),
+ python-keystoneauth1 (>= 3.4.0),
  python-monotonic,
  python-netaddr,
  python-netifaces,
- python-neutronclient (>= 1:6.3.0),
+ python-neutronclient (>= 1:6.7.0),
  python-openstackclient (>= 3.12.0),
  python-os-client-config (>= 1.28.0),
- python-osc-lib (>= 1.8.0),
+ python-osc-lib (>= 1.11.0),
  python-oslo.i18n (>= 3.15.3),
+ python-oslo.serialization,
  python-oslo.utils (>= 3.33.0),
  python-pbr (>= 2.0.0),
  python-prettytable (>= 0.7.1),
@@ -157,15 +162,16 @@
  python3-debtcollector,
  python3-funcsigs,
  python3-iso8601,
- python3-keystoneauth1 (>= 3.3.0),
+ python3-keystoneauth1 (>= 3.4.0),
  python3-monotonic,
  python3-netaddr,
  python3-netifaces,
- python3-neutronclient (>= 1:6.3.0),
+ python3-neutronclient (>= 1:6.7.0),
  python3-openstackclient (>= 3.12.0),
  python3-os-client-config (>= 1.28.0),
- python3-osc-lib (>= 1.8.0),
+ python3-osc-lib (>= 1.11.0),
  python3-oslo.i18n (>= 3.15.3),
+ python3-oslo.serialization,
  python3-oslo.utils (>= 3.33.0),
  python3-pbr (>= 2.0.0),
  python3-prettytable (>= 0.7.1),

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/python-octaviaclient.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html doc/source debian/python-octaviaclient-doc/usr/share/doc/python-octaviaclient-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-octaviaclient 1.8.0

=== requirements.txt ===
--- 
+++ 
@@ -5,25 +5,27 @@
 appdirs>=1.3.0 # MIT License
 Babel!=2.4.0,>=2.3.4 # BSD
 cliff!=2.9.0,>=2.8.0 # Apache-2.0
-cmd2>=0.6.7 # MIT
+cmd2!=0.8.3,<0.9.0;python_version<'3.0'  # MIT
+cmd2!=0.8.3;python_version>='3.0'  # MIT
 debtcollector>=1.2.0 # Apache-2.0
 funcsigs>=1.0.0;python_version=='2.7' or python_version=='2.6' # Apache-2.0
 iso8601>=0.1.11 # MIT
-keystoneauth1>=3.3.0 # Apache-2.0
+keystoneauth1>=3.4.0 # Apache-2.0
 monotonic>=0.6 # Apache-2.0
 netaddr>=0.7.18 # BSD
 netifaces>=0.10.4 # MIT
-python-neutronclient>=6.3.0 # Apache-2.0
+python-neutronclient>=6.7.0 # Apache-2.0
 python-openstackclient>=3.12.0 # Apache-2.0
 os-client-config>=1.28.0 # Apache-2.0
 osc-lib>=1.8.0 # Apache-2.0
 oslo.i18n>=3.15.3 # Apache-2.0
+oslo.serialization!=2.19.1 # Apache-2.0
 oslo.utils>=3.33.0 # Apache-2.0
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
 PrettyTable<0.8,>=0.7.1 # BSD
 pyparsing>=2.1.0 # MIT
 pytz>=2013.6 # MIT
-PyYAML>=3.10 # MIT
+PyYAML>=3.12 # MIT
 requests>=2.14.2 # Apache-2.0
 requestsexceptions>=1.2.0 # Apache-2.0
 simplejson>=3.5.1 # MIT

=== debian/changelog ===
python-octaviaclient (1.8.0-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Jul 2019 14:13:02 +0200

python-octaviaclient (1.8.0-2) experimental; urgency=medium

  * Fixed min version of python3-cliff.

 -- Thomas Goirand <zigo@debian.org>  Mon, 08 Apr 2019 12:22:03 +0200

python-octaviaclient (1.8.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed Python 2 support.

 -- Thomas Goirand <zigo@debian.org>  Sat, 23 Mar 2019 20:34:02 +0100

=== debian/control ===
Source: python-octaviaclient
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 9),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-appdirs,
 python3-babel,
 python3-cliff (>= 2.14.1),
 python3-cmd2,
 python3-coverage,
 python3-debtcollector,
 python3-funcsigs,
 python3-hacking,
 python3-iso8601,
 python3-keystoneauth1,
 python3-mock,
 python3-monotonic,
 python3-netaddr,
 python3-netifaces,
 python3-neutronclient,
 python3-openstackclient,
 python3-openstackdocstheme,
 python3-os-client-config,
 python3-osc-lib,
 python3-oslo.i18n,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-oslotest,
 python3-prettytable,
 python3-pyparsing,
 python3-requests-mock,
 python3-requestsexceptions,
 python3-simplejson,
 python3-six,
 python3-stestr,
 python3-stevedore,
 python3-testscenarios,
 python3-tz,
 python3-wrapt,
 python3-yaml,
 subunit,
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-octaviaclient
Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-octaviaclient.git
Homepage: http://docs.openstack.org/developer/python-octaviaclient

Package: python-octaviaclient-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Octavia client for OpenStack Load Balancing - doc
 Octavia is an operator-grade open source scalable load balancer for use in
 large OpenStack deployments. It delivers load balancing services on amphorae
 and provides centralized command and control. Octavia is currently the
 reference backend for Neutron LBaaS. In the near future, Octavia is likely to
 become the standard OpenStack LBaaS API endpoint.
 .
 This package contains the documentation.

Package: python3-octaviaclient
Architecture: all
Depends:
 python3-appdirs,
 python3-babel,
 python3-cliff (>= 2.14.1),
 python3-cmd2,
 python3-debtcollector,
 python3-funcsigs,
 python3-iso8601,
 python3-keystoneauth1,
 python3-monotonic,
 python3-netaddr,
 python3-netifaces,
 python3-neutronclient,
 python3-openstackclient,
 python3-os-client-config,
 python3-osc-lib,
 python3-oslo.i18n,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-pbr,
 python3-prettytable,
 python3-pyparsing,
 python3-requests,
 python3-requestsexceptions,
 python3-simplejson,
 python3-six,
 python3-stevedore,
 python3-tz,
 python3-wrapt,
 python3-yaml,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-octaviaclient-doc,
Description: Octavia client for OpenStack Load Balancing - Python 3.x
 Octavia is an operator-grade open source scalable load balancer for use in
 large OpenStack deployments. It delivers load balancing services on amphorae
 and provides centralized command and control. Octavia is currently the
 reference backend for Neutron LBaaS. In the near future, Octavia is likely to
 become the standard OpenStack LBaaS API endpoint.
 .
 This package contains the Python 3.x module.

## python-octaviaclient 1.10.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

Babel!=2.4.0,>=2.3.4 # BSD
cliff!=2.9.0,>=2.8.0 # Apache-2.0
keystoneauth1>=3.4.0 # Apache-2.0
netifaces>=0.10.4 # MIT
python-neutronclient>=6.7.0 # Apache-2.0
python-openstackclient>=3.12.0 # Apache-2.0
osc-lib>=1.8.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
pbr!=2.1.0,>=2.0.0 # Apache-2.0
requests>=2.14.2 # Apache-2.0
six>=1.10.0 # MIT

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

sphinx>=1.6.2,!=1.6.6,!=1.6.7,<2.0.0;python_version=='2.7'  # BSD
sphinx>=1.6.2,!=1.6.6,!=1.6.7,!=2.1.0;python_version>='3.4'  # BSD
openstackdocstheme>=1.20.0 # Apache-2.0
reno>=2.5.0 # Apache-2.0

=== debian/changelog ===
python-octaviaclient (1.10.0-0ubuntu1~cloud0) bionic-train; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 26 Sep 2019 01:28:17 +0000

python-octaviaclient (1.10.0-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 25 Sep 2019 14:12:52 -0400

python-octaviaclient (1.9.0-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 31 Jul 2019 10:42:15 -0400

python-octaviaclient (1.8.0-0ubuntu2) eoan; urgency=medium

  * d/control: Drop BDI's on python-* packages.
  * d/control: Drop python-octaviaclient binary package.
  * d/rules: Tweak to stop build and install of Python 2 parts.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Thu, 11 Jul 2019 10:55:01 +0200

python-octaviaclient (1.8.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 11 Mar 2019 16:36:28 -0400

python-octaviaclient (1.7.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 30 Jan 2019 10:18:20 -0500

python-octaviaclient (1.6.0-0ubuntu1) cosmic; urgency=medium

  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.
  * New upstream release for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/remove-privacy-breach.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 01 Aug 2018 15:15:14 -0400

=== debian/control ===
Source: python-octaviaclient
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 9),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 python3-appdirs (>= 1.3.0),
 python3-babel (>= 2.3.4),
 python3-cliff (>= 2.8.0),
 python3-cmd2,
 python3-coverage (>= 4.0),
 python3-debtcollector (>= 1.2.0),
 python3-funcsigs (>= 1.0.0),
 python3-hacking (>= 0.12.0),
 python3-iso8601 (>= 0.1.11),
 python3-keystoneauth1 (>= 3.4.0),
 python3-mock (>= 2.0.0),
 python3-monotonic (>= 0.6),
 python3-netaddr (>= 0.7.18),
 python3-netifaces (>= 0.10.4),
 python3-neutronclient (>= 1:6.7.0),
 python3-openstackclient (>= 3.12.0),
 python3-openstackdocstheme (>= 1.20.0),
 python3-os-client-config (>= 1.28.0),
 python3-osc-lib (>= 1.11.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-prettytable (>= 0.7.1),
 python3-pyparsing (>= 2.1.0),
 python3-reno (>= 2.5.0),
 python3-requests-mock (>= 1.1.0),
 python3-requestsexceptions (>= 1.2.0),
 python3-simplejson (>= 3.5.1),
 python3-six (>= 1.10.0),
 python3-stestr (>= 2.0.0),
 python3-stevedore (>= 1:1.20.0),
 python3-subunit (>= 1.0.0),
 python3-testrepository,
 python3-testscenarios (>= 0.4),
 python3-tz (>= 2013.6),
 python3-unicodecsv (>= 0.8.0),
 python3-wrapt (>= 1.7.0),
 python3-yaml (>= 3.12),
Standards-Version: 4.1.3
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-octaviaclient
Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-octaviaclient
Homepage: http://docs.openstack.org/developer/python-octaviaclient

Package: python-octaviaclient-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Octavia client for OpenStack Load Balancing - doc
 Octavia is an operator-grade open source scalable load balancer for use in
 large OpenStack deployments. It delivers load balancing services on amphorae
 and provides centralized command and control. Octavia is currently the
 reference backend for Neutron LBaaS. In the near future, Octavia is likely to
 become the standard OpenStack LBaaS API endpoint.
 .
 This package contains the documentation.

Package: python3-octaviaclient
Architecture: all
Depends:
 python3-appdirs (>= 1.3.0),
 python3-babel (>= 2.3.4),
 python3-cliff (>= 2.8.0),
 python3-cmd2,
 python3-debtcollector (>= 1.2.0),
 python3-funcsigs (>= 1.0.0),
 python3-iso8601 (>= 0.1.11),
 python3-keystoneauth1 (>= 3.4.0),
 python3-monotonic (>= 0.6),
 python3-netaddr (>= 0.7.18),
 python3-netifaces (>= 0.10.4),
 python3-neutronclient (>= 1:6.7.0),
 python3-openstackclient (>= 3.12.0),
 python3-os-client-config (>= 1.28.0),
 python3-osc-lib (>= 1.11.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-prettytable (>= 0.7.1),
 python3-pyparsing (>= 2.1.0),
 python3-requests (>= 2.14.2),
 python3-requestsexceptions (>= 1.2.0),
 python3-simplejson (>= 3.5.1),
 python3-six (>= 1.10.0),
 python3-stevedore (>= 1:1.20.0),
 python3-tz (>= 2013.6),
 python3-unicodecsv (>= 0.8.0),
 python3-wrapt (>= 1.7.0),
 python3-yaml (>= 3.12),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-octaviaclient-doc,
Description: Octavia client for OpenStack Load Balancing - Python 3.x
 Octavia is an operator-grade open source scalable load balancer for use in
 large OpenStack deployments. It delivers load balancing services on amphorae
 and provides centralized command and control. Octavia is currently the
 reference backend for Neutron LBaaS. In the near future, Octavia is likely to
 become the standard OpenStack LBaaS API endpoint.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
--- 
+++ 
@@ -4,14 +4,14 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc
+	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
 
 override_dh_auto_install:
-	pkgos-dh_auto_install
+	pkgos-dh_auto_install --no-py2
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	pkgos-dh_auto_test
+	pkgos-dh_auto_test --no-py2
 endif
 
 override_dh_python3:
@@ -19,7 +19,7 @@
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
-	PYTHONPATH=. python3 -m sphinx -b html doc/source debian/python-octaviaclient-doc/usr/share/doc/python-octaviaclient-doc/html
+	sphinx-build -b html doc/source debian/python-octaviaclient-doc/usr/share/doc/python-octaviaclient-doc/html
 	dh_sphinxdoc -O--buildsystem=python_distutils
 endif

## python-octaviaclient 2.0.0

=== debian/changelog ===
python-octaviaclient (2.0.0-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Mon, 03 Feb 2020 10:21:00 +0000

python-octaviaclient (1.11.0-0ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/gbp.conf: Retain for gbp and pristine-tar config.
    - d/control: Enable autopkgtest-pkg-python testsuite.
  * New upstream release for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/remove-privacy-breach.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 06 Dec 2019 11:34:16 -0500

python-octaviaclient (1.10.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Oct 2019 01:42:36 +0200

python-octaviaclient (1.10.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Thomas Goirand ]
  * New upstream release.
  * Update (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 17 Sep 2019 08:46:48 +0200

## python-octaviaclient 2.0.1

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

sphinx>=1.6.2,!=1.6.6,!=1.6.7,!=2.1.0 # BSD
openstackdocstheme>=1.20.0 # Apache-2.0

# releasenotes
reno>=2.5.0 # Apache-2.0

# PDF Docs
sphinxcontrib-svg2pdfconverter>=0.1.0 # BSD

=== debian/changelog ===
python-octaviaclient (2.0.1-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.
  * d/p/skip-py38-failures.patch: Skip failing py38 tests.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 10 Apr 2020 10:04:28 -0400

=== debian/control ===
Source: python-octaviaclient
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 9),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
 python3-sphinxcontrib.svg2pdfconverter (>= 0.1.0),
Build-Depends-Indep:
 python3-babel (>= 2.3.4),
 python3-cliff (>= 2.8.0),
 python3-coverage (>= 4.0),
 python3-hacking (>= 0.12.0),
 python3-keystoneauth1 (>= 3.4.0),
 python3-mock (>= 2.0.0),
 python3-netifaces,
 python3-neutronclient (>= 1:6.7.0),
 python3-openstackclient (>= 3.12.0),
 python3-openstackdocstheme (>= 1.20.0),
 python3-osc-lib (>= 1.8.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-requests-mock (>= 1.1.0),
 python3-six (>= 1.10.0),
 python3-stestr (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 subunit,
Standards-Version: 4.4.1
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-octaviaclient
Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-octaviaclient
Homepage: http://docs.openstack.org/developer/python-octaviaclient
Testsuite: autopkgtest-pkg-python

Package: python-octaviaclient-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Octavia client for OpenStack Load Balancing - doc
 Octavia is an operator-grade open source scalable load balancer for use in
 large OpenStack deployments. It delivers load balancing services on amphorae
 and provides centralized command and control. Octavia is currently the
 reference backend for Neutron LBaaS. In the near future, Octavia is likely to
 become the standard OpenStack LBaaS API endpoint.
 .
 This package contains the documentation.

Package: python3-octaviaclient
Architecture: all
Depends:
 python3-babel (>= 2.3.4),
 python3-cliff (>= 2.8.0),
 python3-keystoneauth1 (>= 3.4.0),
 python3-netifaces,
 python3-neutronclient (>= 1:6.7.0),
 python3-openstackclient (>= 3.12.0),
 python3-osc-lib (>= 1.8.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-requests (>= 2.14.2),
 python3-six (>= 1.10.0),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-octaviaclient-doc,
Description: Octavia client for OpenStack Load Balancing - Python 3.x
 Octavia is an operator-grade open source scalable load balancer for use in
 large OpenStack deployments. It delivers load balancing services on amphorae
 and provides centralized command and control. Octavia is currently the
 reference backend for Neutron LBaaS. In the near future, Octavia is likely to
 become the standard OpenStack LBaaS API endpoint.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/python-octaviaclient.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html doc/source debian/python-octaviaclient-doc/usr/share/doc/python-octaviaclient-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/python-octaviaclient/python-octaviaclient-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-octaviaclient 2.2.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

cliff!=2.9.0,>=2.8.0 # Apache-2.0
keystoneauth1>=3.4.0 # Apache-2.0
python-neutronclient>=6.7.0 # Apache-2.0
python-openstackclient>=3.12.0 # Apache-2.0
osc-lib>=1.14.1 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
pbr!=2.1.0,>=2.0.0 # Apache-2.0
requests>=2.14.2 # Apache-2.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

sphinx>=2.0.0,!=2.1.0 # BSD
openstackdocstheme>=2.2.1 # Apache-2.0

# releasenotes
reno>=3.1.0 # Apache-2.0

# PDF Docs
sphinxcontrib-svg2pdfconverter>=0.1.0 # BSD

=== debian/changelog ===
python-octaviaclient (2.2.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fixed debian/watch.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Oct 2020 16:46:19 +0200

python-octaviaclient (2.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Switch to debhelper-compat = 11.

 -- Thomas Goirand <zigo@debian.org>  Sun, 13 Sep 2020 10:12:58 +0200

python-octaviaclient (2.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 10 Sep 2020 12:27:36 +0200

python-octaviaclient (2.0.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 08 May 2020 23:28:36 +0200

python-octaviaclient (2.0.1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Refreshed remove-privacy-breach.patch.
  * Blacklist 6 unit tests broken with Python 3.8.

 -- Thomas Goirand <zigo@debian.org>  Fri, 10 Apr 2020 09:34:36 +0200

=== debian/control ===
Source: python-octaviaclient
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-cliff (>= 2.14.1),
 python3-coverage,
 python3-hacking,
 python3-keystoneauth1,
 python3-neutronclient,
 python3-openstackclient,
 python3-openstackdocstheme,
 python3-osc-lib (>= 1.14.1),
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-oslotest,
 python3-pygments,
 python3-requests-mock,
 python3-sphinxcontrib.svg2pdfconverter,
 python3-stestr,
 python3-testscenarios,
 subunit,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-octaviaclient
Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-octaviaclient.git
Homepage: http://docs.openstack.org/developer/python-octaviaclient

Package: python-octaviaclient-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Octavia client for OpenStack Load Balancing - doc
 Octavia is an operator-grade open source scalable load balancer for use in
 large OpenStack deployments. It delivers load balancing services on amphorae
 and provides centralized command and control. Octavia is currently the
 reference backend for Neutron LBaaS. In the near future, Octavia is likely to
 become the standard OpenStack LBaaS API endpoint.
 .
 This package contains the documentation.

Package: python3-octaviaclient
Architecture: all
Depends:
 python3-cliff (>= 2.14.1),
 python3-keystoneauth1,
 python3-neutronclient,
 python3-openstackclient,
 python3-osc-lib (>= 1.14.1),
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-pbr,
 python3-requests,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-octaviaclient-doc,
Description: Octavia client for OpenStack Load Balancing - Python 3.x
 Octavia is an operator-grade open source scalable load balancer for use in
 large OpenStack deployments. It delivers load balancing services on amphorae
 and provides centralized command and control. Octavia is currently the
 reference backend for Neutron LBaaS. In the near future, Octavia is likely to
 become the standard OpenStack LBaaS API endpoint.
 .
 This package contains the Python 3.x module.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/python-octaviaclient/tags .*/(\d[brc\d\.]+)\.tar\.gz

## python-octaviaclient 2.2.1

=== debian/changelog ===
python-octaviaclient (2.2.1-1~bpo11+1) UNRELEASED; urgency=medium

  [ Michal Arbet ]
  * New upstream version

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-victoria.infomaniak.ch>  Mon, 31 Jan 2022 12:00:07 +0000

## python-octaviaclient 2.3.0

=== debian/changelog ===
python-octaviaclient (2.3.0-0ubuntu1~cloud0) focal-wallaby; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 13 Apr 2021 09:26:59 +0000

python-octaviaclient (2.3.0-0ubuntu1) hirsute; urgency=medium

  [ Chris MacNaughton ]
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.

  [ Corey Bryant ]
  * New upstream release for OpenStack Wallaby.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 12 Apr 2021 15:35:36 -0400

python-octaviaclient (2.2.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 11 Sep 2020 15:55:32 -0400

python-octaviaclient (2.1.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/control, d/rules: Switch to debhelper compat 12 and pybuild.
  * d/control: Update Standards-Version to 4.5.0.
  * d/p/skip-py38-failures.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 28 Jul 2020 20:33:23 -0400

## python-octaviaclient 2.4.0

=== debian/changelog ===
python-octaviaclient (2.4.0-0ubuntu1~cloud0) focal-xena; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 21 Jul 2021 19:41:50 +0000

python-octaviaclient (2.4.0-0ubuntu1) impish; urgency=medium

  * New upstream release for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 21 Jul 2021 09:38:48 -0400

## python-octaviaclient 2.5.0

=== requirements.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # process, which may cause wedges in the gate later.
 
 cliff!=2.9.0,>=2.8.0 # Apache-2.0
-keystoneauth1>=3.4.0 # Apache-2.0
+keystoneauth1>=3.18.0 # Apache-2.0
 python-neutronclient>=6.7.0 # Apache-2.0
 python-openstackclient>=3.12.0 # Apache-2.0
 osc-lib>=1.14.1 # Apache-2.0

=== debian/changelog ===
python-octaviaclient (2.5.0-0ubuntu1) jammy; urgency=medium

  * New upstream release for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 02 Mar 2022 14:25:03 -0500

=== debian/control ===
Source: python-octaviaclient
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
 python3-sphinxcontrib.svg2pdfconverter (>= 0.1.0),
Build-Depends-Indep:
 python3-babel (>= 2.3.4),
 python3-cliff (>= 2.8.0),
 python3-coverage (>= 4.0),
 python3-hacking,
 python3-keystoneauth1 (>= 3.18.0),
 python3-mock (>= 2.0.0),
 python3-netifaces,
 python3-neutronclient (>= 1:6.7.0),
 python3-openstackclient (>= 3.12.0),
 python3-openstackdocstheme (>= 2.2.1),
 python3-osc-lib (>= 1.14.1),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-pygments (>= 2.2.0),
 python3-requests-mock (>= 1.2.0),
 python3-six (>= 1.10.0),
 python3-stestr (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 subunit,
Standards-Version: 4.5.0
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-octaviaclient
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-octaviaclient
Homepage: https://opendev.org/openstack/python-octaviaclient
Testsuite: autopkgtest-pkg-python

Package: python-octaviaclient-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Octavia client for OpenStack Load Balancing - doc
 Octavia is an operator-grade open source scalable load balancer for use in
 large OpenStack deployments. It delivers load balancing services on amphorae
 and provides centralized command and control. Octavia is currently the
 reference backend for Neutron LBaaS. In the near future, Octavia is likely to
 become the standard OpenStack LBaaS API endpoint.
 .
 This package contains the documentation.

Package: python3-octaviaclient
Architecture: all
Depends:
 python3-babel (>= 2.3.4),
 python3-cliff (>= 2.8.0),
 python3-keystoneauth1 (>= 3.18.0),
 python3-netifaces,
 python3-neutronclient (>= 1:6.7.0),
 python3-openstackclient (>= 3.12.0),
 python3-osc-lib (>= 1.14.1),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-requests (>= 2.14.2),
 python3-six (>= 1.10.0),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-octaviaclient-doc,
Description: Octavia client for OpenStack Load Balancing - Python 3.x
 Octavia is an operator-grade open source scalable load balancer for use in
 large OpenStack deployments. It delivers load balancing services on amphorae
 and provides centralized command and control. Octavia is currently the
 reference backend for Neutron LBaaS. In the near future, Octavia is likely to
 become the standard OpenStack LBaaS API endpoint.
 .
 This package contains the Python 3.x module.

## python-octaviaclient 2.6.0

=== debian/changelog ===
python-octaviaclient (2.6.0-1~bpo11+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-xena.infomaniak.ch>  Thu, 02 Oct 2025 11:04:11 +0000

python-octaviaclient (2.5.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Mar 2022 11:27:41 +0100

python-octaviaclient (2.5.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 23 Feb 2022 09:35:58 +0100

python-octaviaclient (2.4.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Sep 2021 17:50:29 +0200

python-octaviaclient (2.4.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 06 Sep 2021 09:54:31 +0200

python-octaviaclient (2.3.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 11:37:12 +0200

python-octaviaclient (2.3.1-1) experimental; urgency=medium

  * New upstream release.

 -- Michal Arbet <michal.arbet@ultimum.io>  Thu, 15 Jul 2021 12:45:52 +0200

python-octaviaclient (2.3.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 11 Mar 2021 16:44:30 +0100

=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,8 @@
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	pkgos-dh_auto_test --no-py2
+	# Tests broken on Python 3.8: https://storyboard.openstack.org/#!/story/2007536
+	pkgos-dh_auto_test --no-py2 'octaviaclient\.tests\.unit\.(?!(.*osc\.v2\.test_l7rule\.TestL7RuleDelete\.test_l7rule_delete_wait.*|.*osc\.v2\.test_l7rule\.TestL7RuleSet\.test_l7rule_set_wait.*|.*osc\.v2\.test_l7rule\.TestL7RuleUnset\.test_l7rule_unset_invert_wait.*|.*osc\.v2\.test_member\.TestMemberSet\.test_member_set_wait.*|.*osc\.v2\.test_member\.TestMemberDelete\.test_member_delete_wait.*|.*osc\.v2\.test_member\.TestMemberUnset\.test_member_unset_name_wait.*))'
 endif
 
 override_dh_sphinxdoc:

## python-octaviaclient 3.1.0

=== debian/changelog ===
python-octaviaclient (3.1.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 13 Sep 2022 11:19:11 -0400

python-octaviaclient (3.0.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.
  * d/control: Switch to debhelper compat 13.
  * d/control: Update standards version to 4.6.1.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 13 Jul 2022 15:43:54 -0400

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  openstack-pkg-tools,
  python3-all,
@@ -35,8 +35,7 @@
  python3-stestr (>= 2.0.0),
  python3-testscenarios (>= 0.4),
  subunit,
-Standards-Version: 4.5.0
-Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-octaviaclient
+Standards-Version: 4.6.1
 Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-octaviaclient
 Homepage: https://opendev.org/openstack/python-octaviaclient
 Testsuite: autopkgtest-pkg-python

## python-octaviaclient 3.1.1

=== debian/changelog ===
python-octaviaclient (3.1.1-1~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-zed.infomaniak.ch>  Fri, 26 Sep 2025 13:25:36 +0000

python-octaviaclient (3.1.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Sep 2022 14:40:11 +0200

python-octaviaclient (3.1.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 07 Sep 2022 15:00:16 +0200

python-octaviaclient (3.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 02 Sep 2022 23:15:44 +0200

## python-octaviaclient 3.4.0

=== debian/changelog ===
python-octaviaclient (3.4.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 13:20:49 +0200

python-octaviaclient (3.4.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed python3-munch from (build-)depends.

 -- Thomas Goirand <zigo@debian.org>  Mon, 27 Feb 2023 09:47:50 +0100

python-octaviaclient (3.3.0-1) experimental; urgency=medium

  * New upstream release.
  * Added python3-munch as (build-)depends.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Feb 2023 14:18:13 +0100

## python-octaviaclient 3.5.0

=== debian/changelog ===
python-octaviaclient (3.5.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 31 Aug 2023 11:21:29 +0200

python-octaviaclient (3.4.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1048352).

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Aug 2023 09:10:20 +0200
